Subject: Re: mboned: Please comment (in the event you didn't see this)

From: John Meylor <[email-masked]>
Date: Thu, 08 Jan 2004 10:18:36 -0800

looks good dave.

  john

David Meyer wrote:
> 	Scott?
> 
> On Thu, Jan 08, 2004 at 08:10:04AM -0800, Toerless Eckert wrote:
> 
>>>perfect.
>>
> 
> 	If you agree, I want to get the change to Bert
> 	before/during (hopefully not after) the telechat...
> 
> 	Dave
> 
> 
>>>On Thu, Jan 08, 2004 at 08:08:35AM -0800, David Meyer wrote:
>>>
>>>>On Thu, Jan 08, 2004 at 10:49:42AM -0500, Scott Bradner wrote:
>>>>
>>>>>>                Scott helped me craft this goal/milestone
>>>>>>                language, and the reference to 1123/1123 didn't
>>>>>>                imply IPv4 or IPv6. Its just a reference. Scott,
>>>>>>                do we need to rev this to call out v6 (since
>>>>>>                neither is mentioned, I assumed it would be clear
>>>>>>                that it was both)?
>>>>>>
>>>>>>I'd suggest calling it out - assumptions of v6-ness are often wrong :-)
>>>>>
>>>>	OK. How about this:
>>>>
>>>>	The bullet in the "Description of Working Group" part of
>>>>	the new charter that said: 
>>>>
>>>>- Develop a roadmap informational RFC that describes the current
>>>>  IETF multicast architecture, including references to the
>>>>  relevent IETF documents and guidance for implementers and
>>>>  network operators along the line of RFC 1122/1123.
>>>>
>>>>	changes to:
>>>>
>>>>- Develop a roadmap informational RFC that describes the current
>>>>  IPv4 and IPv6 IETF multicast architectures, including
>>>>  references to the relevent IETF documents and guidance for
>>>>  implementers and network operators. 
>>>>
>>>>	I'm concerned as I believe the IESG is considering this
>>>>	today, so I want to close now and get it to Bert (if its
>>>>	not too late). 
>>>>
>>>>	Dave
>>>>
>>>>	
>>>>
>>>>This mail is probably spam.  The original message has been attached
>>>>along with this report, so you can recognize or block similar unwanted
>>>>mail in future.  See http://spamassassin.org/tag/ for more details.
>>>>
>>>>Content preview:  On Thu, Jan 08, 2004 at 10:49:42AM -0500, Scott Bradner
>>>>  wrote: >> Scott helped me craft this goal/milestone >> language, and
>>>>  the reference to 1123/1123 didn't >> imply IPv4 or IPv6. Its just a
>>>>  reference. Scott, >> do we need to rev this to call out v6 (since >>
>>>>  neither is mentioned, I assumed it would be clear >> that it was both)?
>>>>  >> >> I'd suggest calling it out - assumptions of v6-ness are often
>>>>  wrong :-) [...] 
>>>>
>>>>Content analysis details:   (-8.90 points, 5 required)
>>>>X_AUTH_WARNING     (-0.4 points) Has a X-Authentication-Warning header
>>>>IN_REP_TO          (-0.4 points) Has a In-Reply-To header
>>>>REFERENCES         (-0.0 points) Has a valid-looking References header
>>>>EMAIL_ATTRIBUTION  (-0.5 points) BODY: Contains what looks like an email attribution
>>>>BAYES_00           (-5.2 points) BODY: Bayesian classifier says spam probability is 0 to 1%
>>>>                   [score: 0.0071]
>>>>QUOTED_EMAIL_TEXT  (-0.4 points) BODY: Contains what looks like a quoted email text
>>>>USER_AGENT_MUTT    (-2.8 points) User-Agent header indicates a non-spam MUA (Mutt)
>>>>REPLY_WITH_QUOTES  (0.0 points)  Reply with quoted text
>>>>AWL                (0.8 points)  AWL: Auto-whitelist adjustment
>>>
>>>-- 
>>>Thanks
>>>   Toerless Eckert
>>>   
>>
> _______________________________________________________________
> user interface: http://darkwing.uoregon.edu/~llynch/mboned.html
> web archive:  http://darkwing.uoregon.edu/~llynch/mboned/

_______________________________________________________________
user interface: http://darkwing.uoregon.edu/~llynch/mboned.html
web archive:  http://darkwing.uoregon.edu/~llynch/mboned/

---

From: Marshall Eubanks <[email-masked]>
Date: Thu, 8 Jan 2004 11:49:22 -0500

I like the new text.

> 	today, so I want to close now and get it to Bert (if its
                                  Regards
                                  Marshall Eubanks

T.M. Eubanks
e-mail : [email-masked]
http://www.telesuite.com

---

From: David Meyer <[email-masked]>
Date: Thu, 8 Jan 2004 07:47:37 -0800

On Thu, Jan 08, 2004 at 07:44:14AM -0800, Toerless Eckert wrote:
>> On Thu, Jan 08, 2004 at 07:31:58AM -0800, David Meyer wrote:
>> > On Thu, Jan 08, 2004 at 12:41:43AM -0800, Toerless Eckert wrote:
>> > >> While MSDP MIB and rfc3171 are IPv4 only,
>> > 
>> > 	(i).	RFC 3307 (Allocation Guidelines for IPv6
>> > 		Multicast Addresses), is the analog to 3171 for
>> > 		IPv6. However, as you know it's a completely
>> > 		different problem.  
>> 
>> Right, eg: the two new work items MSDP MIB and rfc3171 nly
>> apply to IPv4 and the proposed WG work item text is ok and non-confusing.
>> 
>> > 	(ii).	The goal/milestone corresponding to what we were
>> > 		calling, for lack of a better name, IMDOC, is
>> > 
>> > 		- Develop a roadmap informational RFC that
>> > 		  describes the current IETF multicast
>> > 		  architecture, including references to the
>> > 		  relevent IETF documents and guidance for
>> > 		  implementers and network operators along the
>> > 		  line of RFC 1122/1123. 
>> > 
>> Well, _i_ was assuming that IMDOC is to cover both IPv4 and IPv6. If
>> we agree on this then i was just pointing out that the proposed
>> text may be misleading as it only refers to IPv4 only documents.
>> 
>> Am i correct to assume IMDOC is to cover both IPv4 and IPv6 ?

	Yes. I asked Scott for his opinion as too whether we need
	to call that out explicitly.

>> > 	BTW, who's spamassasin tagged the original message as
>> > 	spam? Cisco?
>> 
>> Sorry, no, just my personal one. Still haven't managed to configure
>> it really well, so i'm keeping a lot of debug output around, which i
>> sometimes forget to remove when replying.

	No worries. I was just wondering if I failed the standard
	SA.

	Dave

---

From: David Meyer <[email-masked]>
Date: Wed, 7 Jan 2004 14:10:09 -0800

One note: I have asked the secretariat to update the
	mailing list information. 

	Dave

----- Forwarded message from IESG Secretary <[email-masked]> -----

>> From: IESG Secretary <[email-masked]>
>> To: [email-masked], <[email-masked]>, <[email-masked]>, <[email-masked]>
>> Subject: Internal WG Review: Recharter of MBONE Deployment (mboned)
>> Date: Fri, 2 Jan 2004 16:10:45 -0500 (EST)
>> 
>> 
>> A new charter for the MBONE Deployment working group (MBONED)
>> in the Operations and Management Area of the IETF is being considered.
>> The draft charter is provided below for your review and comment.
>> 
>> Review time is one week.
>> 
>> The IETF Secretariat
>> 
>> MBONE Deployment (mboned)
>> --------------------------------------------------
>> Note: The charter for MBONED is included below.
>> However, to assist you in your review, the changes from the previous
>> version as presented to the Secretariat by Bert Wijnen are as follows:
>> 1. The Goals and Milestones have been updated.
>> 2. Three additional activities have been added to the list. they are:
>> 
>>    - Update RFC 3171/BCP 51 based on experience.
>> 
>>    - Complete the MSDP MIB
>> -------------------------------------------------
>> 
>>  Current Status: Active Working Group
>> 
>>  Chair(s):
>>      David Meyer  <[email-masked]>
>> 
>>  Operations and Management Area Director(s):
>>      Bert Wijnen  <[email-masked]>
>> 
>>  Operations and Management Area Advisor:
>>      Bert Wijnen  <[email-masked]>
>> 
>>  Technical Advisor(s):
>>      Scott Bradner  <[email-masked]>
>> 
>>  Mailing Lists:
>>      General Discussion:[email-masked]
>>      To Subscribe:      [email-masked]
>>      Archive:           ftp://ftp.uoregon.edu/mailing-lists/mboned*
>> 
>> Description of Working Group:
>> 
>> The MBONE Deployment Working Group is a forum for coordinating
>> the deployment, engineering, and operation of multicast routing
>> protocols and procedures in the global Internet. This activity will
>> include, but not be limited to:
>> 
>> - Documenting deployment of multicast routing in the global Internet.
>> 
>> - Receive regular reports on the current state of the deployment of
>>   multicast technology. Create "practice and experience" documents that
>>   capture the experience of those who have deployed and are deploying
>>   various multicast technologies.
>> 
>> - Based on reports and other information, provide feedback to other
>>   relevant working groups.
>> 
>> - Develop mechanisms and procedures for sharing operational
>>   information to aid in operation of the multicast backbones and
>>   interconnects.
>> 
>> - Update RFC 3171/BCP 51 based on experience.
>> 
>> - Complete the MSDP MIB
>> This is not meant to be a protocol development Working Group.
>> 
>> Goals and Milestones:
>> 
>> Done Submit I-D on inter-provider coordination of the deployment of
>> pruning mrouteds.
>> Done Establish initial charter, goals, and long-term group agenda.
>> Done Submit I-D outlining requirements for the existing MBONE
>> infrastructure.
>> Done Submit I-D specifying the use of administratively scoped multicast
>> addresses (RFC 2365)
>> Done Submit I-D specifying the use of native multicast where appropriate
>> (e.g. exchange points).
>> Done Submit I-D on IP Multicast and Firewalls (RFC 2588)
>> Done Submit I-D specifying static allocations in 233/8 (RFC 3180)
>> Done Submit I-D on debugging multicast problems.
>> Done Submit final version of scope zone announcement protocol (MZAP RFC
>> 2776)
>> Done Submit final version of scoped address discovery protocol (SADP)
>> Done Submit I-D describing ISP multicast deployment practices
>> Done Submit I-D, with RPS WG, on extensions to RPSL to describe multicast
>> routing policy.
>> Done Submit I-D describing extended allocations in 233/8 (RFC 3138)
>> Done Submit I-D describing IANA Guidelines for IPv4 Multicast Address
>> Assignments (RFC 3171)
>> Done Submit I-D describing IP Multicast Applications issues (RFC 3170)
>> Done Submit I-D describing Anycast (RP) mechanism (RFC 3446)
>> Done Submit I-D describing Source-Specific Protocol Independent Multicast
>> in 232/8
>> Done Submit I-D describing MSDP Deployment Scenarios
>> Done Submit I-D describing IPv4 Multicast Unusable Group And Source
>> Addresses
>> Done Submit I-D describing Embedded RP for IPv6 Multicast Address
>> 
>> Apr 04 Submit I-D on PIM-SM Multicast Routing Security Issues
>> 
>> May 04 Submit I-D on IPv4/IPv6 multicast co-existence
>>        issues and strategies for IPv4 multicast and IPv6 multicast.
>> 
>> June 04 Update IANA Guidelines for IPv4 Multicast Address
>>         Assignments (RFC 3171/BCP 51)
>> 
>> Jun 04 Submit PIM-SM Multicast Routing Security Issues
>>        to IESG for Informational
>> 
>> June 04 Submit MSDP MIB to IESG for Experimental
>> 
>> Aug 04 Submit IPv4 multicast address allocation procedures IESG for BCP
>> 
>> Aug 04 Submit IPv4/v6 co-existence strategies to IESG for Informational
>> 
>> Aug 04 Submit multicast roadmap/reference architecture
>>        document to IESG for Informational
>>

---

From: [email-masked] (Scott Bradner)
Date: Thu, 8 Jan 2004 11:14:22 -0500 (EST)

that looks good to me

Scott

---

From: [email-masked] (Scott Bradner)
Date: Thu, 8 Jan 2004 10:49:42 -0500 (EST)

Scott

---

From: David Meyer <[email-masked]>
Date: Thu, 8 Jan 2004 08:08:35 -0800

OK. How about this:

	changes to:

	Dave

---

From: David Meyer <[email-masked]>
Date: Thu, 8 Jan 2004 08:15:25 -0800

>>   implementers and network operators. 

Sorry, filtering. I'll ship to Bert....

Dave

---

From: Toerless Eckert <[email-masked]>
Date: Thu, 8 Jan 2004 07:44:14 -0800

Cheers
	Toerless

---

From: Toerless Eckert <[email-masked]>
Date: Thu, 8 Jan 2004 08:10:04 -0800

perfect.

-- 
Thanks
   Toerless Eckert

---

From: David Meyer <[email-masked]>
Date: Thu, 8 Jan 2004 07:31:58 -0800

Toreless,

>> i think the IMDOC effort must of course also include IPv6, but
>> given that rfc1112 does address IPv4, it would be good to add
>> something like "for both IPv4 and IPv6" to the end of the
>> roadmap RFC goal statement. 

	Dave

---

From: David Meyer <[email-masked]>
Date: Thu, 8 Jan 2004 08:14:59 -0800

Scott?

	Dave

---

From: Toerless Eckert <[email-masked]>
Date: Thu, 8 Jan 2004 00:41:43 -0800

While MSDP MIB and rfc3171 are IPv4 only, i think the IMDOC effort
must of course also include IPv6, but given that rfc1112 does only
address IPv4, it would be good to add something like "for both IPv4
and IPv6" to the end of the roadmap RFC goal statement.

On Wed, Jan 07, 2004 at 02:10:09PM -0800, David Meyer wrote:
> Content preview:  One note: I have asked the secretariat to update the
>   mailing list information. Dave ----- Forwarded message from IESG
>   Secretary <[email-masked]> ----- [...] 
> 
> Content analysis details:   (-8.40 points, 5 required)
>                    [score: 0.0063]
> AWL                (0.4 points)  AWL: Auto-whitelist adjustment

-- 
Thanks
   Toerless Eckert

---

From: David Meyer <[email-masked]>
Date: Fri, 9 Jan 2004 08:21:47 -0800

Pekka,

	Thanks for the thoughtful comments.

On Fri, Jan 09, 2004 at 04:31:14PM +0200, Pekka Savola wrote:
>> Hi,
>> 
>> This has probably already been shipped, but a few comments so they can 
>> be addressed in the next revision..

	Yep. Let's see if I can answer your questions though...

>> 
>> I assume by "Submit I-D" you mean submitting it to the IESG for 
>> publication as RFC.. But you could mean it also like "Submit the first 
>> draft and make it a WG work item" -- this would typically be said like 
>> "Publish XXX as WG I-D".

	Nope. I tried to follow what others were doing. What I
	have been able to glean from the other charters is that
	Submit ususally means "publish I-D". However, I agree
	that we could tighten this up by using language like
	"publish". I suppose we need to document guidelines
	for how to write a charter....

>> On Wed, 7 Jan 2004, David Meyer wrote:

	Debugging handbook.

>> I do not see any RFC on this?  Did this get anywhere?  This could be 
>> rather useful work...
>> 
>> I don't see RFC on this, but maybe it isn't even necessary :-)

	We had a I-D, but it timed out (years ago), as it was
	not deemed useful

>> I guess this refers to draft-ietf-mboned-ipv4-mcast-bcp, which is 
>> expired, and which isn't submitted yet...?

	Yep.

>> This has been submitted, yes, but the work is still unfinished 
>> (unresolved IETF Last Call contents).  Maybe no change needed..

	Well, this was an action ITEM that (believe this) that
	Jeff Young had put into the original charter so that he
	could describe his (MCI) DVMRP tunnel infrastructure. We
	did that, but then let it go to get the RPSL doc
	published (that was rife with problems due to IESG
	instability; John Curran finally got it through for us). 

>> This has not been submitted yet (though one can hope it will be)!

	Submit v. publish again.

>> Neither is this!

	Ditto

>> For these (and any other "Submit I-D" milestones which aren't DONE 
>> yet), I'd strongly recommend enhancing the wording a bit:
>>  - reword "Submit" to "Submit to the IESG"
>>  - add the category "... for consideration as Informational RFC"
>> 
>> I find especially the latter very useful information.

	Agree.

>> Oh, maybe you didn't mean "Submit I-D" as I meant, -- if so, some of 
>> the "Submit I-D" milestones, which haven't gone to the IESG yet, 
>> should also be listed as milestones for IESG submission.

	Correct. 

	So, want to co-author "Guidelines for Writing WG Charters"
	with me (really)? Seems I've been writing a lot of these
	lately... 

	Dave

---

From: Pekka Savola <[email-masked]>
Date: Fri, 9 Jan 2004 16:31:14 +0200 (EET)

Hi,

Neither is this!

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings